[R] custom package not installed for 'arch=i386'

Uwe Ligges ligges at statistik.tu-dortmund.de
Sat Nov 20 18:48:33 CET 2010

On 18.11.2010 08:04, Yulia Arzhaeva wrote:
> Dear all,
> Since version R-2.12.0, I've got problems building an add-on package for R
> ("imglib" here) for 32-bit Windows.
> The following command is called:
> C:\Program Files\R\R-2.12.0\bin\i386\Rcmd build --binary imglib
> And here is an error I am getting in the end of processing:
> ** testing if installed package can be loaded
> Error : package 'imglib' is not installed for 'arch=i386'
> ERROR: loading failed

Please use

R CMD INSTALL --build imglib_version.tar.gz

which is the recommended way of doing it.

Uwe Ligges

> Versions R-2.10.0, R-2.11.0 and R-2.11.1 performed the similar operation
> successfully.  RTools have been updated to RTools212. I am not sure what
> version of mingw was used to obtain a precompiled binary package (obtained
> from somewhere else), and whether this matters (probably it does). Does
> anyone have any ideas?
> Thanks in advance,
> Yulia
> 	[[alternative HTML version deleted]]
> ______________________________________________
> R-help at r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.

More information about the R-help mailing list